LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07131Development [All Projects] Response browsingpublic2013-01-03 03:222014-02-07 09:48
Reportermfaber 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusresolvedResolutionfixed 
Product Version 
Target Version2.05Fixed in Version2.05 
Summary07131: Response table shows only a fraction of the respective questions in table heading
DescriptionWhen browsing responses, the question text is used as the table heading.
However, only a fraction of the text (3 lines) is shown making it difficult to know which variable one is looking at.

[see attached picture]

Suggestion:
a) let the fields be as big as they need to be to fit the question text
or b) give variable name instead of question text
Steps To ReproduceBrowse responses of a survey
TagsNo tags attached.
Attached Filesjpg file icon answer_browsing.jpg [^] (339,254 bytes) 2013-01-03 03:22

- Relationships

-  Notes
User avatar (23427)
c_schmitz (administrator)
2013-01-03 09:44

Not a bug. Moving the cursoer over a header will open a hint which shows the full header. Having shown some kind of question/subquestion code would be nice though so moving this issue to development (maybe for 2.1).
User avatar (23501)
DenisChenu (developer)
2013-01-06 11:21

Carsten: add this like :

[QCODE][SUBQCODE] Question text is OK ?

Can take it for 2.1: but when 2.1 are in alpha ?
User avatar (23505)
DenisChenu (developer)
2013-01-06 19:56

https://github.com/LimeSurvey/LimeSurvey/commit/9cbfb394ec8ab4d5068a2196b46419164d65c490 [^]
User avatar (24928)
DenisChenu (developer)
2013-04-10 00:28

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12254 [^]
User avatar (24930)
DenisChenu (developer)
2013-04-10 00:30

Add the QCODE
Height can be set in admin template.css
User avatar (27117)
DenisChenu (developer)
2013-11-07 13:48

Reopened by https://github.com/LimeSurvey/LimeSurvey/commit/aed1550506f5b36b127eee2b8258845c81c57e4b [^]

Carsten, do you have an idea to add code in browse table ?
User avatar (27559)
DenisChenu (developer)
2013-12-13 08:42

Carsten ? Think we have really to add code in browse table. Maybe some optimisation to do in viewHelepr, but atual system show really bad information : empty question text / equation broke information etc ....

Can i reverse aed1550506f5b36b127eee2b8258845c81c57e4b ?
User avatar (28381)
DenisChenu (developer)
2014-02-01 18:14

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13813 [^]

- Related Changesets
LimeSurvey: 2.05 837657a2
Timestamp: 2013-04-09 22:27:53
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07131: Header response table difficult to read
Dev: Added code of question
Dev: Height of response table header can be set in admin template
mod - application/controllers/admin/responses.php Diff ] File ]
mod - application/views/admin/responses/browseallheader_view.php Diff ] File ]
mod - scripts/admin/browse.js Diff ] File ]
mod - styles/adminstyle.css Diff ] File ]
LimeSurvey: master 4a80d961
Timestamp: 2014-02-01 17:14:37
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07131: Response table shows only a fraction of question
Fixed issue : Lang javascript in browse responses
Dev: This close https://github.com/LimeSurvey/LimeSurvey/pull/169 [^]
Dev: Remove purifier : long PHP script
Dev: But set a title allow to easily deactivate functionnality on view for some element
Dev: Some glitch (show 'real' title) when first enter
mod - application/controllers/admin/responses.php Diff ] File ]
mod - application/views/admin/responses/browseallheader_view.php Diff ] File ]
mod - application/views/admin/responses/browseallrow_view.php Diff ] File ]
mod - application/views/admin/responses/browseidrow_view.php Diff ] File ]
mod - scripts/admin/browse.js Diff ] File ]
mod - styles/adminstyle.css Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-03 03:22 mfaber New Issue
2013-01-03 03:22 mfaber File Added: answer_browsing.jpg
2013-01-03 09:44 c_schmitz Note Added: 23427
2013-01-03 09:44 c_schmitz Project Bug reports => Development
2013-01-06 11:21 DenisChenu Note Added: 23501
2013-01-06 11:27 c_schmitz Assigned To => DenisChenu
2013-01-06 11:27 c_schmitz Status new => assigned
2013-01-06 11:27 c_schmitz Product Version 2.00+ =>
2013-01-06 11:27 c_schmitz Target Version => 2.1
2013-01-06 19:56 DenisChenu Note Added: 23505
2013-01-06 19:57 DenisChenu Status assigned => resolved
2013-01-06 19:57 DenisChenu Fixed in Version => 2.1
2013-01-06 19:57 DenisChenu Resolution open => fixed
2013-03-25 22:17 DenisChenu Status resolved => feedback
2013-03-25 22:17 DenisChenu Resolution fixed => reopened
2013-03-25 22:17 DenisChenu Fixed in Version 2.1 =>
2013-03-25 22:17 DenisChenu Target Version 2.1 => 2.05
2013-03-25 22:17 DenisChenu Status feedback => assigned
2013-04-10 00:28 DenisChenu Changeset attached => LimeSurvey 2.05 837657a2
2013-04-10 00:28 DenisChenu Note Added: 24928
2013-04-10 00:29 DenisChenu Note Added: 24929
2013-04-10 00:29 DenisChenu Note Deleted: 24929
2013-04-10 00:30 DenisChenu Note Added: 24930
2013-04-10 00:30 DenisChenu Status assigned => resolved
2013-04-10 00:30 DenisChenu Fixed in Version => 2.05
2013-04-10 00:30 DenisChenu Resolution reopened => fixed
2013-11-07 13:47 DenisChenu Status resolved => feedback
2013-11-07 13:47 DenisChenu Resolution fixed => reopened
2013-11-07 13:48 DenisChenu Note Added: 27117
2013-11-07 13:48 DenisChenu Assigned To DenisChenu => c_schmitz
2013-11-07 13:48 DenisChenu Status feedback => assigned
2013-12-13 08:42 DenisChenu Note Added: 27559
2013-12-13 08:42 DenisChenu Fixed in Version 2.05 =>
2014-02-01 18:14 DenisChenu Changeset attached => LimeSurvey master 4a80d961
2014-02-01 18:14 DenisChenu Note Added: 28381
2014-02-01 18:14 DenisChenu Assigned To c_schmitz => DenisChenu
2014-02-07 09:48 DenisChenu Status assigned => resolved
2014-02-07 09:48 DenisChenu Fixed in Version => 2.05
2014-02-07 09:48 DenisChenu Resolution reopened => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker